﻿// (C) Copyright 2010 by Autodesk, Inc. 
//
using System;
using Autodesk.AutoCAD.Runtime;
using Autodesk.AutoCAD.ApplicationServices;
using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.Geometry;
using Autodesk.AutoCAD.EditorInput;

// This line is not mandatory, but improves loading performances
[assembly: ExtensionApplication(typeof(GTDemo.MyPlugin))]

namespace GTDemo
{

    // This class is instantiated by AutoCAD once and kept alive for the 
    // duration of the session. If you don't do any one time initialization 
    // then you should remove this class.
    public class MyPlugin : IExtensionApplication
    {

        void IExtensionApplication.Initialize()
        {
            
            // Just display info about commands implemented in this application
            try
            {
                Document doc = Application.DocumentManager.MdiActiveDocument;

                if (null != doc)
                {
                    Editor ed = doc.Editor;
                    ed.WriteMessage("\nCommands:");
                    ed.WriteMessage("\nCloudWin: Displays a custom palette that lets you interact with the cloud");
                }
            }
            catch (System.Exception e)
            {

            }
        }

        void IExtensionApplication.Terminate()
        {
            // Do plug-in application clean up here
        }

    }

}
