﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace TaskMonitorServiceWebRole
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IMfgInfoService" in both code and config file together.
    [ServiceContract]
    public interface IMfgInfoService
    {
        // Does nothing
        [OperationContract]
        void DoWork();

        // Obtain the cost per unit of a given material
        [OperationContract]
        double GetCostPerUnit(string matName, string spec, string unit, string region);

        // Update the Mfg material info database
        [OperationContract]
        void UpdateMfgMaterialInfo(string matName, string spec, string unit, string region, float cost);
    }
}
